--- title: "createNatGatewayInstance" slug: "networking-vpc-natgateway-createnatgatewayinstance" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-natgateway-createnatgatewayinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createNatGatewayInstance Available in VPC Create a NAT Gateway instance. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/createNatGatewayInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC request headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code where you want to create a network ACL instance - First Region of the query result (default). - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `zoneCode` | String | Required | Zone where you want to create a NAT Gateway instance - For `zoneCode`, see [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). | | `vpcNo` | String | Required | Number of VPC where you want to create a NAT Gateway instance - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `natGatewayName` | String | Optional | Name of NAT Gateway to create - Granted automatically by NAVER Cloud Platform (default). - Enter 3-30 characters, including letters, numbers, and special character "-". - The string must begin with an English letter and end with an English letter or number. | | `natGatewayDescription` | String | Optional | Description of NAT Gateway to create (byte) - 0-1000 | | `output` | String | Optional | Format of the response result - `xml` \| `json` (default) | | `publicIpInstanceNo` | String | Optional | Public IP instance number - This parameter is ignored if the subnet is the `PRIVATE` type. - If the subnet is the `PUBLIC` type - A public ID is automatically created if `publicIpInstanceNo` is NULL. - A specified public IP is assigned if `publicIpInstanceNo` is NOT-NULL. | | `privateIp` | String | Optional | Private IP address - If `privateIp` is NULL, a private IP is automatically assigned. - If `privateIp` is NOT-NULL, a specified private IP is assigned. | | `subnetNo` | String | Optional | Number of subnet where you want to create a NAT Gateway instance - If `subnetNo` is NULL, it is created in a NAT Gateway subnet of `PUBLIC` type. - If `subnetNo` is NOT-NULL, NAT Gateway is created according to `subnetTypeCode` of the NAT Gateway subnet. | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/createNatGatewayInstance ?regionCode=KR &zoneCode=KR-1 &vpcNo=***04 &natGatewayName=test-*** &subnetNo=***28 &publicIpInstanceNo=***25' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [NatGatewayInstanceList](/docs/en/common-vapidatatype-natgatewayinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` fae73c15-7b8d-4c09-80c2-21d46a327c4d 0 success 1 ***36 normal-*** *****9288 public-*** INIT INIT status Creating CREAT CREAT OP 2025-05-08T18:38:25+0900 KR-1 PBLIP Public public-*** ***29 10.0.1.6 PRIMARY 10.0.1.8 ```